igeo.gui

## Class IPointGraphic

- java.lang.Object
- - igeo.IGraphicObject
  - - igeo.gui.IPointGraphic

- All Implemented Interfaces:
    IGraphicI, ISubobject

      public class IPointGraphic
      extends IGraphicObject

  Graphic subobject class to draw point object
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IVecI` | `pt`
    `float` | `weight`

    - ### Fields inherited from class igeo.IGraphicObject

      `color, colorRange1f, colorRange1i, colorRange2f, colorRange2i, colorRange3f, colorRange3i, colorRange4f, colorRange4i, parent, update, visible`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPointGraphic(IPoint p)`
    `IPointGraphic(IPointR p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(IGraphics g)`
    `float` | `getWeight()`
    `void` | `initPoint()`
    `void` | `initPoint(IVecI p)`
    `boolean` | `isDrawable(IGraphicMode m)`
    `void` | `setWeight(float w)`
    `double` | `size()`
    `void` | `size(float sz)`
    `float` | `weight()`
    `void` | `weight(float w)`

    - ### Methods inherited from class igeo.IGraphicObject

      `getAWTColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getHSBColor, getHSBColor, hide, isVisible, parent, parent, setAttribute, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setVisible, show, update, visible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pt

          public IVecI pt

    - #### weight

          public float weight

  - ### Constructor Detail

    - #### IPointGraphic

          public IPointGraphic(IPoint p)

    - #### IPointGraphic

          public IPointGraphic(IPointR p)

  - ### Method Detail

    - #### initPoint

          public void initPoint(IVecI p)

    - #### initPoint

          public void initPoint()

    - #### size

          public void size(float sz)

    - #### size

          public double size()

    - #### weight

          public void weight(float w)

    - #### weight

          public float weight()

    - #### setWeight

          public void setWeight(float w)

      Overrides:
        `setWeight` in class `IGraphicObject`

    - #### getWeight

          public float getWeight()

      Overrides:
        `getWeight` in class `IGraphicObject`

    - #### draw

          public void draw(IGraphics g)

      Specified by:
        `draw` in interface `IGraphicI`
      Specified by:
        `draw` in class `IGraphicObject`

    - #### isDrawable

          public boolean isDrawable(IGraphicMode m)

      Specified by:
        `isDrawable` in interface `IGraphicI`
      Specified by:
        `isDrawable` in class `IGraphicObject`